Subject: Re: git-blame.el

From: David Kågedal <[email-masked]>
Date: Wed, 31 Jan 2007 21:53:31 +0100

[email-masked] (Randal L. Schwartz) writes:

>>>>>> "David" == David Kågedal <[email-masked]> writes:
>
> David> Here's another version of git-blame.el that automatically tries to
> David> create a sensible list of colors to use for both light and dark
> David> backgrounds.  Plus a few minor fixes.
>
> If this gets traction, this should be what vc-annotate uses on a git file.

I only had a very quick glance, but one "problem" is that vc-annotate
assumes that what you want to do is to run an annotate/blame command
and show the output in another buffer.  My solution is a minor-mode
that shows the blame directly in the edit buffer, and I'm not sure how
easy it would be to convince vc that this is what I want.  And I need
a way to turn it off again, and maybe some local key bindings when it
is active.  This all points to the fact that a minor mode is really
the thing to use.  So maybe I should simply rebind C-x v g to
git-blame-mode instead of vc-annotate...

-- 
David Kågedal